var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React, { forwardRef } from 'react';
import { Balloon as FusionBalloon } from '@alifd/next';
import BalloonTooltip from './balloon-tooltip';
import hoist from '../../utils/hoist';
var ExtendedBalloon = forwardRef(function (props, ref) {
    return (React.createElement(FusionBalloon, __assign({ v2: true, animation: {
            in: 'fadeIn',
            out: 'fadeOut',
        } }, props, { ref: ref })));
});
var Balloon = ExtendedBalloon;
Balloon.Tooltip = BalloonTooltip;
export default hoist(Balloon, FusionBalloon);
export { BalloonTooltip };
